SHADERMOD_VERSION = "|cFFFFFFFFv4.03 Modded";

--Message Color : Grey
DISPLAY_RED = ".55";
DISPLAY_GREEN = ".55";
DISPLAY_BLUE = ".5"; 
-- Message Color : Red
FDISPLAY_RED = ".7";
FDISPLAY_GREEN = ".1";
FDISPLAY_BLUE = ".1"; 
-- Message Color : Blue
ADISPLAY_RED = ".2";
ADISPLAY_GREEN = ".2";
ADISPLAY_BLUE = ".8";

function SMOnLoad()
	SMDuelFrame.Locked = true;
	SMDuelFrame:SetBackdropColor( 1.0, 1.0, 1.0, 0.0 );
	SMDuelFrame:SetBackdropBorderColor( 1.0, 1.0, 1.0, 0.0 );
	SMDuelFrameBackground:SetAlpha(0.0);
	SMDuelFrame:EnableMouse(false);
		
	SM_OUT = {};
	SM_OUT.EXEC_ANNOUNCED = false;
	SMFightAnnounced = 0;
	SMFightBgAnnounced = 0;
	SMThreeBgAnnounced = 0;
	SMTwoBgAnnounced = 0;
	SMOneBgAnnounced = 0;
	
	SlashCmdList["CritCombo"] = SMCommand;
	SLASH_CritCombo1 = "/ShaderMod";
	SLASH_CritCombo2 = "/sm"

	player = UnitName("player");

	DEFAULT_CHAT_FRAME:AddMessage("|cFF00FF00ShaderMod " .. SHADERMOD_VERSION .. " |cFF00FF00by |cFF00FFFFSky-|cFF0000FFDexter.  |cFFFF0000.:Loaded:.", .2, .0);

	
	if (GetLocale() == "deDE") then
		--------  DEUTCH (DE) TRANSLATION STARTS HERE --------
	DUELONE = "Duell beginnt: 1";
	DUELTWO = "Duell beginnt: 2";
	DUELTHREE = "Duell beginnt: 3";
	DUELPREPARE = "Ihr habt ein Duell gefordert(.+)";
	DUELEND = "(.+) hat (.+) in einem Duell besiegt.";
	ISLE30 = "Die Schlacht beginnt in 30 Sekunden.";
	ISLESTART = "Die Schlacht hat begonnen!";
	ARENA30 = "Noch drei\195\159ig Sekunden bis der Arenakampf beginnt!";
	ARENASTART = "Der Arenakampf hat begonnen!";
	WARSONG30 = "Der Kampf um die Kriegshymnenschlucht beginnt in 30 Sekunden. Haltet Euch bereit!";
	WARSONGSTART = "Lasst den Kampf um die Kriegshymnenschlucht beginnen!";
	ARATHI30 = "Die Schlacht um das Arathibecken wird in 30 Sekunden beginnen.";
	ARATHISTART = "Die Schlacht um das Arathibecken hat begonnen!";
	ALTERAC30 = "Der Kampf um das Alteractal beginnt in 30 Sekunden.";
	ALTERACSTART = "Der Kampf um das Alteractal hat begonnen!";
	EYE30 = "Die Schlacht beginnt in 30 Sekunden!";
	EYESTART = "Die Schlacht hat begonnen!";
	GILNEAS30 = "The battle begins in 30 seconds!";
	GILNEASSTART = "The battle has begun!";
	STORM30 = "The battle begins in 30 seconds!";
	STORMSTART = "The battle has begun!";
	STR30 = "Die Schlacht um den Strand der Uralten beginnt in 30 Sekunden. Macht Euch bereit!";
	STRSTART = "Lasst die Schlacht um den Strand der Uralten beginnen!";
	HORDEPICK = "hat die Flagge der Horde aufgenommen!";
	ALLIANCEPICK = "hat die Flagge der Allianz aufgenommen!";
	HORDEPICKEYE = "hat die Flagge aufgenommen.";
	ALLIANCEPICKEYE = "hat die Flagge aufgenommen.";
	HORDECAPTURE = "hat die Flagge der Allianz errungen!";
	ALLIANCECAPTURE = "hat die Flagge der Horde errungen!";
	HORDECAPTUREEYE = "Die Horde hat die Flagge erobert!";
	ALLIANCECAPTUREEYE = "Die Allianz hat die Flagge erobert!";
	HORDERETURN = "Die Flagge der Horde wurde von";
	ALLIANCERETURN = "Die Flagge der Allianz wurde von";
	HORDERETURN2 = "Die Flagge der Horde wurde zu ihrem";
	ALLIANCERETURN2 = "Die Flagge der Allianz wurde zu ihrem";
	HORDEWIN = "Die Horde gewinnt!";
	ALLIANCEWIN = "Die Allianz gewinnt!";
		--------  DEUTCH (DE) TRANSLATION ENDS HERE --------

elseif (GetLocale() == "koKR") then
		--------  KOREAN (KR) TRANSLATION STARTS HERE ( Thanks to Papertiger ) --------
	DUELONE = "?? ??: 1";
	DUELTWO = "?? ??: 2";
	DUELTHREE = "?? ??: 3";
	DUELPREPARE = "??? (.+)?? ??? ??????.";
	DUELEND = "(.+)|1?;?; (.+)|1?;?;? ???? ??????.";
	ISLE30 = "Temporaire.";
	ISLESTART = "Temporaire.";
	ARENA30 = "??? ??? ???? ?? 30? ?????!";
	ARENASTART = "??? ??? ???????!";
	WARSONG30 = "???? ?? ??? 30? ?? ?????. ??????!";
	WARSONGSTART = "???? ?? ??? ???? ???!";
	ARATHI30 = "??? ?? ??? 30? ?? ?????.";
	ARATHISTART = "??? ?? ??? ???????!";
	ALTERAC30 = "??? ?? ??? ???? ?? 30? ?????.";
	ALTERACSTART = "??? ?? ??? ???????!";
	EYE30 = "??? 30? ?? ?????!";
	EYESTART = "??? ???????!";
	GILNEAS30 = "The battle begins in 30 seconds!";
	GILNEASSTART = "The battle has begun!";
	STORM30 = "The battle begins in 30 seconds!";
	STORMSTART = "The battle has begun!";
	STR30 = "begins in 30 seconds. Prepare yourselves!";
	STRSTART = "Let the battle for the Strand of the Ancients begin!";
	HORDEPICK = "The Horde flag was picked up by";
	ALLIANCEPICK = "The Alliance Flag was picked up by";
	HORDEPICKEYE = "has taken the flag!";
	ALLIANCEPICKEYE = "has taken the flag!";
	HORDECAPTURE = "captured the Alliance flag!";
	ALLIANCECAPTURE = "captured the Horde flag!";
	HORDECAPTUREEYE = "The Horde have captured the flag!";
	ALLIANCECAPTUREEYE = "The Alliance have captured the flag!";
	HORDERETURN = "The Horde flag was returned to its base by";
	ALLIANCERETURN = "The Alliance Flag was returned to its base by";
	HORDERETURN2 = "The Horde flag was returned to its base!";
	ALLIANCERETURN2 = "The Alliance Flag was returned to its base!";
	HORDEWINS = "The Horde wins!";
	ALLIANCEWINS = "The Alliance wins!";
		--------  KOREAN (KR) TRANSLATION ENDS HERE ( Thanks to Papertiger ) --------
		
elseif (GetLocale() == "frFR") then	
		--------  FRENCH (FR) TRANSLATION STARTS HERE --------
	DUELONE = "D\195\169but du duel : 1";
	DUELTWO = "D\195\169but du duel : 2";
	DUELTHREE = "D\195\169but du duel : 3";
	DUELPREPARE = "Vous avez demand\195\169 un duel(.+)";
	DUELEND = "(.+) a vaincu (.+) en duel";
	ISLE30 = "La bataille commencera dans 30 secondes.";
	ISLESTART = "Que la bataille commence!";
	ARENA30 = "Le combat (.+) commence dans trente secondes";
	ARENASTART = "Le combat (.+) commence";
	WARSONG30 = "La bataille pour le goulet (.+) commence dans 30 secondes";
	WARSONGSTART = "Que la bataille pour le goulet (.+) commence";
	ARATHI30 = "La bataille pour le bassin (.+) commence dans 30 secondes";
	ARATHISTART = "La bataille pour le bassin (.+) a commenc\195\169";
	ALTERAC30 = "La bataille pour la vall\195\169e (.+) commence dans 30 secondes";
	STR30 = "La bataille du rivage (.+) commence dans 30 secondes";
	STRSTART = "Que la bataille pour le rivage (.+) commence";
	ALTERACSTART = "La bataille pour la vall\195\169e (.+) commence";
	EYE30 = "La bataille commence dans 30 secondes(.+)";
	EYESTART = "La bataille a commenc\195\169(.+)";
	GILNEAS30 = "The battle begins in 30 seconds!";
	GILNEASSTART = "The battle has begun!";
	STORM30 = "The battle begins in 30 seconds!";
	STORMSTART = "The battle has begun!";
	HORDEPICK = "Le drapeau de la Horde a \195\169t\195\169 ramass\195\169 par (.+)";
	ALLIANCEPICK = "Le drapeau de l'Alliance a \195\169t\195\169 ramass\195\169 par (.+)";
	HORDEPICKEYE = "(.+) a pris le drapeau!";
	ALLIANCEPICKEYE = "(.+) a pris le drapeau!";
	HORDECAPTURE = "(.+) a pris le drapeau de la Horde !";
	ALLIANCECAPTURE = "(.+) a pris le drapeau de l'Alliance !";
	HORDECAPTUREEYE = "La Horde a pris le drapeau(.+)";
	ALLIANCECAPTUREEYE = "L'Alliance a pris le drapeau(.+)";
	HORDERETURN = "Le drapeau de la Horde a \195\169t\195\169 ramen\195\169 (.+)";
	ALLIANCERETURN = "Le drapeau de l'Alliance a \195\169t\195\169 ramen\195\169 (.+)";
	HORDERETURN2 = "Le drapeau de la Horde est de retour dans sa base (.+)";
	ALLIANCERETURN2 = "Le drapeau de l'Alliance est de retour dans sa base (.+)";
	HORDEWIN = "La Horde gagne (.+)";
	ALLIANCEWIN = "L'Alliance gagne (.+)";
		--------  FRENCH (FR) TRANSLATION ENDS HERE --------

elseif (GetLocale() == "esES") then
		--------  SPANISH (ES) TRANSLATION STARTS HERE --------
	DUELONE = "Comienzo del duelo: 1";
	DUELTWO = "Comienzo del duelo: 2";
	DUELTHREE = "Comienzo del duelo: 3";
	DUELPREPARE = "Has retado a alguien a un duelo(.+)";
	DUELEND = "(.+) ha vencido a (.+) en un duelo";
	ISLE30 = "La batalla comenzar\195\161 en 30 segundos.";
	ISLESTART = "\194\161La batalla ha comenzado!";
	ARENA30 = "\194\161Treinta segundos hasta que comience la batalla en arena!";
	ARENASTART = "\194\161La batalla en arena ha comenzado!";
	WARSONG30 = "La batalla por la Garganta Grito de Guerra comenzar\195\161 en 30 segundos. \194\161Preparaos!";
	WARSONGSTART = "\194\161Que comience la batalla por la Garganta Grito de Guerra!";
	STR30 = "La batalla por la Playa de los Ancestros comenzar\195\161 en 30 segundos. \194\161Preparaos!";
	STRSTART = "\194\161Que comience la batalla por la Playa de los Ancestros!";
	ARATHI30 = "La batalla por la Cuenca de Arathi comenzar\195\161 en 30 segundos.";
	ARATHISTART = "\194\161La batalla por la Cuenca de Arathi ha comenzado!";
	ALTERAC30 = "30 segundos para que d\195\169 comienzo la batalla por el Valle de Alterac.";
	ALTERACSTART = "\194\161La batalla por el Valle de Alterac ha comenzado!";
	EYE30 = "\194\161La batalla comienza en treinta segundos!";
	EYESTART = "\194\161La batalla ha comenzado!";
	GILNEAS30 = "The battle begins in 30 seconds!";
	GILNEASSTART = "The battle has begun!";
	STORM30 = "The battle begins in 30 seconds!";
	STORMSTART = "The battle has begun!";
	HORDEPICK = "\194\161(.+) ha cogido la bandera de la Horda!";
	ALLIANCEPICK = "\194\161(.+) ha cogido la bandera de la Alianza!";
	HORDEPICKEYE = "\194\161(.+) ha tomado la bandera!";
	ALLIANCEPICKEYE = "\194\161(.+) ha tomado la bandera!";
	HORDECAPTURE = "\194\161(.+) ha capturado la bandera de la Alianza!";
	ALLIANCECAPTURE = "\194\161(.+) ha capturado la bandera de la Horda!";
	HORDECAPTUREEYE = "\194\161La Horda ha capturado la bandera!";
	ALLIANCECAPTUREEYE = "\194\161La Alianza ha capturado la bandera!";
	HORDERETURN = "\194\161(.+) ha devuelto la bandera de la Horda a su base!";
	ALLIANCERETURN = "\194\161(.+) ha devuelto la bandera de la Alianza a su base!";
	HORDERETURN2 = "\194\161La bandera de la Horda ha sido devuelta a la base!";
	ALLIANCERETURN2 = "\194\161La bandera de la Alianza ha sido devuelta a la base!";
	HORDEWIN = "\194\161La Horda gana!";
	ALLIANCEWIN = "\194\161La Alianza gana!";
		--------  SPANISH (ES) TRANSLATION ENDS HERE --------
	
else
		-------- DEFAULT (ENG) TRANSLATION STARTS HERE --------
	DUELONE = "Duel starting: 1";
	DUELTWO = "Duel starting: 2";
	DUELTHREE = "Duel starting: 3";
	DUELPREPARE = "You have requested a duel(.+)";
	DUELEND = "(.+) has defeated (.+) in a duel";
	ISLE30 = "The battle will begin in 30 seconds.";
	ISLESTART = "The battle has begun!";
	ARENA30 = "Thirty seconds until the Arena battle begins!";
	ARENASTART = "The Arena battle has begun!";
	WARSONG30 = "The battle for Warsong Gulch begins in 30 seconds.";
	WARSONGSTART = "Let the battle for Warsong Gulch begin!";
	ARATHI30 = "The Battle for Arathi Basin will begin in 30 seconds.";
	ARATHISTART = "The Battle for Arathi Basin has begun!";
	ALTERAC30 = "30 seconds until the battle for Alterac Valley begins.";
	ALTERACSTART = "The battle for Alterac Valley has begun!";
	EYE30 = "The battle begins in 30 seconds!";
	EYESTART = "The battle has begun!";
	GILNEAS30 = "The battle begins in 30 seconds!";
	GILNEASSTART = "The battle has begun!";
	STORM30 = "The battle begins in 30 seconds!";
	STORMSTART = "The battle has begun!";
	STR30 = "begins in 30 seconds. Prepare yourselves!";
	STRSTART = "Let the battle for the Strand of the Ancients begin!";
	HORDEPICK = "The Horde flag was picked up by";
	ALLIANCEPICK = "The Alliance Flag was picked up by";
	HORDEPICKEYE = "has taken the flag!";
	ALLIANCEPICKEYE = "has taken the flag!";
	HORDECAPTURE = "captured the Alliance flag!";
	ALLIANCECAPTURE = "captured the Horde flag!";
	HORDECAPTUREEYE = "The Horde have captured the flag!";
	ALLIANCECAPTUREEYE = "The Alliance have captured the flag!";
	HORDERETURN = "The Horde flag was returned to its base by";
	ALLIANCERETURN = "The Alliance Flag was returned to its base by";
	HORDERETURN2 = "The Horde flag was returned to its base!";
	ALLIANCERETURN2 = "The Alliance Flag was returned to its base!";
	HORDEWINS = "The Horde wins!";
	ALLIANCEWINS = "The Alliance wins!";
		-------- DEFAULT (ENG) TRANSLATION ENDS HERE --------
	end
end
function SMCommand(msg)
	if (string.lower(msg) == "menu") then
		SMDisplayHelp();
		return;
	end

	if (string.lower(msg) == "lock") then
		SMDuelFrame.Locked = true;
		SMDuelFrame:SetBackdropColor( 1.0, 1.0, 1.0, 0.0 );
		SMDuelFrame:SetBackdropBorderColor( 1.0, 1.0, 1.0, 0.0 );
		SMDuelFrameBackground:SetAlpha(0.0);
		SMDuelFrame:EnableMouse(false);
		DEFAULT_CHAT_FRAME:AddMessage("|cFF00FF00ShaderMod |cFFFFFFFF: Duel & Battlefield Frames : |cFF00FF00Now |cFFFF0000Locked.", .2, .0);
	  return;
	end

	if (string.lower(msg) == "unlock") then
		SMDuelFrame.Locked = false;
		SMDuelFrame:SetBackdropColor( 1.0, 1.0, 1.0, 0.0 );
		SMDuelFrame:SetBackdropBorderColor( 1.0, 1.0, 1.0, 0.0 );
		SMDuelFrameBackground:SetAlpha(1.0);
		SMDuelFrame:EnableMouse(true);
		SMDuelFrame:AddMessage("Duel & Battlefield Frame", DISPLAY_RED, DISPLAY_GREEN, DISPLAY_BLUE, 1, 3);
		DEFAULT_CHAT_FRAME:AddMessage("|cFF00FF00ShaderMod |cFFFFFFFF: Duel & Battlefield Frames : |cFF00FF00Now |cFFFF0000Unlocked.", .2, .0);
	  return;
	end

	if (string.lower(msg) == "hide") then
		SMDuelFrame.Visible = false;
		SMDuelFrame:Hide();
		DEFAULT_CHAT_FRAME:AddMessage("|cFF00FF00ShaderMod |cFFFFFFFF: Duel & Battlefield Frames : |cFF00FF00Now |cFFFF0000Hidden.", .2, .0);
	  return;
	end

	if (string.lower(msg) == "show") then
		SMDuelFrame.Visible = true;
		SMDuelFrame:Show();
		DEFAULT_CHAT_FRAME:AddMessage("|cFF00FF00ShaderMod |cFFFFFFFF: Duel & Battlefield Frames : |cFF00FF00Now |cFFFF0000Visible.", .2, .0);
	  return;
	end
	if (string.lower(msg) == "version") then
		DEFAULT_CHAT_FRAME:AddMessage("|cFF00FF00ShaderMod |cFFFFFFFFCurrent Version: " .. SHADERMOD_VERSION.." |cFF00FF00by |cFF00FFFFSky-|cFF0000FFDexter. ", .2, .0);
	  return;
	end
	SMDisplayHelp();
end

function SMDisplayHelp()
	DEFAULT_CHAT_FRAME:AddMessage("|cFF00FF00ShaderMod " .. SHADERMOD_VERSION .. " |cFF00FF00by |cFF00FFFFSky-|cFF0000FFDexter.", .2, .0);
	DEFAULT_CHAT_FRAME:AddMessage("[Commands] (/ShaderMod, /ShaderM, /sm)",.65,.65,.6);
	DEFAULT_CHAT_FRAME:AddMessage("   Menu - Shows the options menu.");
	DEFAULT_CHAT_FRAME:AddMessage("   Lock/Unlock - Lock or unlock messages frames.");
	DEFAULT_CHAT_FRAME:AddMessage("   Hide/Show - Hide or show messages frames.");
end

function SM_OnUpdate()
	if (ShaderModInFight == 1) then
		local t = GetTime() - ShaderModTimer;
		local s = floor(t);
		if (s == 1) then
			SMFight();
		end
	end
	if (ShaderModInFightBg == 1) then
		local t = GetTime() - ShaderModTimerBg;
		local s = floor(t);
		if (s == 27) then
			SMThreeBg();
		end
	end
	if (ShaderModInFightBg == 1) then
		local t = GetTime() - ShaderModTimerBg;
		local s = floor(t);
		if (s == 28) then
			SMTwoBg();
		end
	end
	if (ShaderModInFightBg == 1) then
		local t = GetTime() - ShaderModTimerBg;
		local s = floor(t);
		if (s == 29) then
			SMOneBg();
		end
	end
	if (ShaderModInFightBg == 1) then
		local t = GetTime() - ShaderModTimerBg;
		local s = floor(t);
		if (s == 30) then
			SMFightBg();
		end
	end
end

function SMDuel(self, event, ...)
local checkVar = select(1, ...)	
		if (event == "CHAT_MSG_SYSTEM") then
			if(string.find(checkVar, DUELPREPARE) ~= nil) then
				SMDuelFrame:AddMessage("Prepare to Fight!",FDISPLAY_RED, FDISPLAY_GREEN, FDISPLAY_BLUE, 1, 3);
				PlaySoundFile("Interface\\AddOns\\ShaderMod\\Sounds\\prepare.mp3");
			end
			if(string.find(checkVar, DUELTHREE) ~= nil) then
				SMDuelFrame:AddMessage("3",FDISPLAY_RED, FDISPLAY_GREEN, FDISPLAY_BLUE, 1, 3);
				PlaySoundFile("Interface\\AddOns\\ShaderMod\\Sounds\\three.mp3");
			end
			if(string.find(checkVar, DUELTWO) ~= nil) then
				SMDuelFrame:AddMessage("2",FDISPLAY_RED, FDISPLAY_GREEN, FDISPLAY_BLUE, 1, 3);
				PlaySoundFile("Interface\\AddOns\\ShaderMod\\Sounds\\two.mp3");
			end
			if(string.find(checkVar, DUELONE) ~= nil) then
				SMDuelFrame:AddMessage("1",FDISPLAY_RED, FDISPLAY_GREEN, FDISPLAY_BLUE, 1, 3);
				ShaderModTimer = GetTime();
				ShaderModInFight = 1;
				PlaySoundFile("Interface\\AddOns\\ShaderMod\\Sounds\\one.mp3");
			end
			for winner, loser in string.gmatch(checkVar, DUELEND) do
				if (UnitName("player") == winner) then
					SMDuelFrame:AddMessage("You Win!",FDISPLAY_RED, FDISPLAY_GREEN, FDISPLAY_BLUE, 1, 3);
					SMFightAnnounced = 0;
					PlaySoundFile("Interface\\AddOns\\ShaderMod\\Sounds\\youwin.mp3");
				end
				if (UnitName("player") == loser) then
					SMDuelFrame:AddMessage("You Lose!",FDISPLAY_RED, FDISPLAY_GREEN, FDISPLAY_BLUE, 1, 3);
					SMFightAnnounced = 0;
					PlaySoundFile("Interface\\AddOns\\ShaderMod\\Sounds\\IOUS.mp3");
				end
			end
		end
end

function SMFight()
	if (SMFightAnnounced == 0) then
		SMDuelFrame:AddMessage("FIGHT!",FDISPLAY_RED, FDISPLAY_GREEN, FDISPLAY_BLUE, 1, 3);
		SMFightAnnounced = 1;
		PlaySoundFile("Interface\\AddOns\\ShaderMod\\Sounds\\fight.mp3");
	end
end

function SMBg(self, event, ...)
local checkVar = select(1, ...)	
		if (event == "CHAT_MSG_BG_SYSTEM_NEUTRAL") then
			if((string.find(checkVar, STORM30) ~= nil) or (string.find(checkVar, GILNEAS30) ~= nil) or (string.find(checkVar, ARENA30) ~= nil) or (string.find(checkVar, STR30) ~= nil) or (string.find(checkVar, WARSONG30) ~= nil) or (string.find(checkVar, ARATHI30) ~= nil) or (string.find(checkVar, ALTERAC30) ~= nil) or (string.find(checkVar, EYE30) ~= nil) or (string.find(checkVar, ISLE30) ~= nil)) then
				SMDuelFrame:AddMessage("Prepare to Fight!",FDISPLAY_RED, FDISPLAY_GREEN, FDISPLAY_BLUE, 1, 3);
				PlaySoundFile("Interface\\AddOns\\ShaderMod\\Sounds\\prepare.mp3");
				ShaderModTimerBg = GetTime();
				ShaderModInFightBg = 1;
			end
			if((string.find(checkVar, STORMSTART) ~= nil) or (string.find(checkVar, GILNEASSTART) ~= nil) or (string.find(checkVar, ARENASTART) ~= nil) or (string.find(checkVar, STRSTART) ~= nil) or (string.find(checkVar, WARSONGSTART) ~= nil) or (string.find(checkVar, ARATHISTART) ~= nil) or (string.find(checkVar, ALTERACSTART) ~= nil) or (string.find(checkVar, EYESTART) ~= nil) or (string.find(checkVar, ISLESTART) ~= nil)) then
				ShaderModInFightBg = 0;
				SMOneBgAnnounced = 0;
				SMTwoBgAnnounced = 0;
				SMThreeBgAnnounced = 0;
				SMFightBgAnnounced = 0;
			end
		end
		if (event == "PLAYER_ENTERING_WORLD") then
			ShaderModInFightBg = 0;
			SMOneBgAnnounced = 0;
			SMTwoBgAnnounced = 0;
			SMThreeBgAnnounced = 0;
			SMFightBgAnnounced = 0;
		end
end

function SMThreeBg()
	if (SMThreeBgAnnounced == 0) then
		SMDuelFrame:AddMessage("3",FDISPLAY_RED, FDISPLAY_GREEN, FDISPLAY_BLUE, 1, 3);
		SMThreeBgAnnounced = 1;
		PlaySoundFile("Interface\\AddOns\\ShaderMod\\Sounds\\three.mp3");
	end
end

function SMTwoBg()
	if (SMTwoBgAnnounced == 0) then
		SMDuelFrame:AddMessage("2",FDISPLAY_RED, FDISPLAY_GREEN, FDISPLAY_BLUE, 1, 3);
		SMTwoBgAnnounced = 1;
		PlaySoundFile("Interface\\AddOns\\ShaderMod\\Sounds\\two.mp3");
	end
end

function SMOneBg()
	if (SMOneBgAnnounced == 0) then
		SMDuelFrame:AddMessage("1",FDISPLAY_RED, FDISPLAY_GREEN, FDISPLAY_BLUE, 1, 3);
		SMOneBgAnnounced = 1;
		PlaySoundFile("Interface\\AddOns\\ShaderMod\\Sounds\\one.mp3");
	end
end

function SMFightBg()
	if (SMFightBgAnnounced == 0) then
		SMDuelFrame:AddMessage("FIGHT!",FDISPLAY_RED, FDISPLAY_GREEN, FDISPLAY_BLUE, 1, 3);
		SMFightBgAnnounced = 1;
		PlaySoundFile("Interface\\AddOns\\ShaderMod\\Sounds\\fight.mp3");
	end
end

function SMFlags(self, event, ...)
local checkVar = select(1, ...)	
	if (event == "CHAT_MSG_BG_SYSTEM_ALLIANCE") then
		-- Warsong
		if(string.find(checkVar, HORDEPICK) ~= nil) then
			if (UnitFactionGroup("player") == "Horde") then
				PlaySoundFile("Interface\\AddOns\\ShaderMod\\Sounds\\TheEnemyHasYourFlag.mp3");
				SMDuelFrame:AddMessage("The Alliance has your Flag!",ADISPLAY_RED, ADISPLAY_GREEN, ADISPLAY_BLUE, 1, 3);
			elseif (UnitFactionGroup("player") == "Alliance") then
				PlaySoundFile("Interface\\AddOns\\ShaderMod\\Sounds\\YourTeamHasTheEnemyFlag.mp3");
				SMDuelFrame:AddMessage("Your Team has the Enemy Flag!",ADISPLAY_RED, ADISPLAY_GREEN, ADISPLAY_BLUE, 1, 3);
			end
		end
		-- Eye of the Storm
		if(string.find(checkVar, HORDEPICKEYE) ~= nil) then
			if (UnitFactionGroup("player") == "Horde") then
				PlaySoundFile("Interface\\AddOns\\ShaderMod\\Sounds\\TheEnemyHasTheFlag.mp3");
				SMDuelFrame:AddMessage("The Alliance has the Flag!",ADISPLAY_RED, ADISPLAY_GREEN, ADISPLAY_BLUE, 1, 3);
			elseif (UnitFactionGroup("player") == "Alliance") then
				PlaySoundFile("Interface\\AddOns\\ShaderMod\\Sounds\\YourTeamHasTheFlag.mp3");
				SMDuelFrame:AddMessage("Your Team has the Flag!",ADISPLAY_RED, ADISPLAY_GREEN, ADISPLAY_BLUE, 1, 3);
			end
		end
		-- Warsong
		if(string.find(checkVar, ALLIANCECAPTURE) ~= nil) then
			PlaySoundFile("Interface\\AddOns\\ShaderMod\\Sounds\\BlueScores.mp3");
			SMDuelFrame:AddMessage("Alliance Scores!",ADISPLAY_RED, ADISPLAY_GREEN, ADISPLAY_BLUE, 1, 3);
		end
		-- Eye of the Storm
		if(string.find(checkVar, ALLIANCECAPTUREEYE) ~= nil) then
			PlaySoundFile("Interface\\AddOns\\ShaderMod\\Sounds\\BlueScores.mp3");
			SMDuelFrame:AddMessage("Alliance Scores!",ADISPLAY_RED, ADISPLAY_GREEN, ADISPLAY_BLUE, 1, 3);
		end
		if(string.find(checkVar, ALLIANCERETURN) ~= nil) then
			PlaySoundFile("Interface\\AddOns\\ShaderMod\\Sounds\\BlueFlagReturned.mp3");
			SMDuelFrame:AddMessage("Alliance Flag Returned!",ADISPLAY_RED, ADISPLAY_GREEN, ADISPLAY_BLUE, 1, 3);
		end
	end
	if (event == "CHAT_MSG_BG_SYSTEM_HORDE") then
		-- Warsong
		if(string.find(checkVar, ALLIANCEPICK) ~= nil) then
			if (UnitFactionGroup("player") == "Horde") then
				PlaySoundFile("Interface\\AddOns\\ShaderMod\\Sounds\\YourTeamHasTheEnemyFlag.mp3");
				SMDuelFrame:AddMessage("Your Team has the enemy Flag!",FDISPLAY_RED, FDISPLAY_GREEN, FDISPLAY_BLUE, 1, 3);
			elseif (UnitFactionGroup("player") == "Alliance") then
				PlaySoundFile("Interface\\AddOns\\ShaderMod\\Sounds\\TheEnemyHasYourFlag.mp3");
				SMDuelFrame:AddMessage("The Horde has your Flag!",FDISPLAY_RED, FDISPLAY_GREEN, FDISPLAY_BLUE, 1, 3);
			end
		end
		-- Eye of the Storm
		if(string.find(checkVar, ALLIANCEPICKEYE) ~= nil) then
			if (UnitFactionGroup("player") == "Horde") then
				PlaySoundFile("Interface\\AddOns\\ShaderMod\\Sounds\\YourTeamHasTheFlag.mp3");
				SMDuelFrame:AddMessage("Your Team has the Flag!",FDISPLAY_RED, FDISPLAY_GREEN, FDISPLAY_BLUE, 1, 3);
			elseif (UnitFactionGroup("player") == "Alliance") then
				PlaySoundFile("Interface\\AddOns\\ShaderMod\\Sounds\\TheEnemyHasTheFlag.mp3");
				SMDuelFrame:AddMessage("The Horde has the flag!",FDISPLAY_RED, FDISPLAY_GREEN, FDISPLAY_BLUE, 1, 3);
			end
		end
		-- Warsong
		if(string.find(checkVar, HORDECAPTURE) ~= nil) then
			PlaySoundFile("Interface\\AddOns\\ShaderMod\\Sounds\\RedScores.mp3");
			SMDuelFrame:AddMessage("Horde Scores!",FDISPLAY_RED, FDISPLAY_GREEN, FDISPLAY_BLUE, 1, 3);
		end
		-- Eye of the Storm
		if(string.find(checkVar, HORDECAPTUREEYE) ~= nil) then
			PlaySoundFile("Interface\\AddOns\\ShaderMod\\Sounds\\RedScores.mp3");
			SMDuelFrame:AddMessage("Horde Scores!",FDISPLAY_RED, FDISPLAY_GREEN, FDISPLAY_BLUE, 1, 3);
		end
		if(string.find(checkVar, HORDERETURN) ~= nil) then
			PlaySoundFile("Interface\\AddOns\\ShaderMod\\Sounds\\RedFlagReturned.mp3");
			SMDuelFrame:AddMessage("Horde Flag Returned!",FDISPLAY_RED, FDISPLAY_GREEN, FDISPLAY_BLUE, 1, 3);
		end
	end
	if (event == "CHAT_MSG_BG_SYSTEM_NEUTRAL") then
		if(string.find(checkVar, HORDERETURN2) ~= nil) then
			PlaySoundFile("Interface\\AddOns\\ShaderMod\\Sounds\\RedFlagReturned.mp3");
			SMDuelFrame:AddMessage("Horde Flag Returned!",FDISPLAY_RED, FDISPLAY_GREEN, FDISPLAY_BLUE, 1, 3);
		end
		if(string.find(checkVar, ALLIANCERETURN2) ~= nil) then
			PlaySoundFile("Interface\\AddOns\\ShaderMod\\Sounds\\BlueFlagReturned.mp3");
			SMDuelFrame:AddMessage("Alliance Flag Returned!",ADISPLAY_RED, ADISPLAY_GREEN, ADISPLAY_BLUE, 1, 3);
		end
		if(string.find(checkVar, HORDEWINS) ~= nil) then
			if (UnitFactionGroup("player") == "Horde") then
				PlaySoundFile("Interface\\AddOns\\ShaderMod\\Sounds\\youwin.mp3");
				SMDuelFrame:AddMessage("Horde Wins!",FDISPLAY_RED, FDISPLAY_GREEN, FDISPLAY_BLUE, 1, 3);
			end
		end
		if(string.find(checkVar, ALLIANCEWINS) ~= nil) then
			if (UnitFactionGroup("player") == "Alliance") then
				PlaySoundFile("Interface\\AddOns\\ShaderMod\\Sounds\\youwin.mp3");
				SMDuelFrame:AddMessage("Alliance Wins!",ADISPLAY_RED, ADISPLAY_GREEN, ADISPLAY_BLUE, 1, 3);
			end
		end
	end
end
